apiVersion: v1
kind: Service
metadata:
  name: {{ include "piesec.fullname" . }}
  labels:
    {{- include "piesec.labels" . | nindent 4 }}
  annotations:
    {{- include "piesec.annotations" . | nindent 4 }}
spec:
  type: ClusterIP
  ports:
    - port: 8443
      targetPort: 8443
      protocol: TCP
      name: https
  selector:
    {{- include "piesec.selectorLabels" . | nindent 4 }}
